package com.goldenwater.slaj.eme.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eme.mapper.BusiSuppliesReserveMapper;
import com.goldenwater.slaj.eme.domain.BusiSuppliesReserve;
import com.goldenwater.slaj.eme.service.IBusiSuppliesReserveService;

/**
 * 应急物资储备 服务层实现
 */
@Service
public class BusiSuppliesReserveServiceImpl implements IBusiSuppliesReserveService {

    @Autowired
    private BusiSuppliesReserveMapper busiSuppliesReserveMapper;

    @Override
    public BusiSuppliesReserve selectBusiSuppliesReserveByGuid(String guid) {
        return busiSuppliesReserveMapper.selectBusiSuppliesReserveByGuid(guid);
    }

    @Override
    public List<BusiSuppliesReserve> selectBusiSuppliesReserveList(BusiSuppliesReserve busiSuppliesReserve) {
        return busiSuppliesReserveMapper.selectBusiSuppliesReserveList(busiSuppliesReserve);
    }

    @Override
    public int insertBusiSuppliesReserve(BusiSuppliesReserve busiSuppliesReserve) {
        return busiSuppliesReserveMapper.insertBusiSuppliesReserve(busiSuppliesReserve);
    }

    @Override
    public int updateBusiSuppliesReserve(BusiSuppliesReserve busiSuppliesReserve) {
        return busiSuppliesReserveMapper.updateBusiSuppliesReserve(busiSuppliesReserve);
    }

    @Override
    public int deleteBusiSuppliesReserveByGuid(String guid) {
        return busiSuppliesReserveMapper.deleteBusiSuppliesReserveByGuid(guid);
    }

    @Override
    public int deleteBusiSuppliesReserveByGuids(String[] guids) {
        return busiSuppliesReserveMapper.deleteBusiSuppliesReserveByGuids(guids);
    }
}
